Search customers
curl --request POST \
--url https://developersandbox-api.flutterwave.com/customers/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "cornelius@gmail.com"
}
'import requests
url = "https://developersandbox-api.flutterwave.com/customers/search"
payload = { "email": "cornelius@gmail.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'cornelius@gmail.com'})
};
fetch('https://developersandbox-api.flutterwave.com/customers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"meta": {
"page_info": {
"total": 123,
"current_page": 123,
"total_pages": 123
}
},
"data": [
{
"id": "cus_3XarBILKQS",
"address": {
"city": "New York",
"country": "US",
"line1": "123 Main Street",
"postal_code": "10001",
"state": "New York",
"line2": "Apt 4B"
},
"email": "cornelius@gmail.com",
"name": {
"first": "King",
"middle": "Leo",
"last": "LeBron"
},
"phone": {
"country_code": "234",
"number": "08012345678"
},
"meta": {},
"created_datetime": "2023-11-07T05:31:56Z"
}
]
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "RESOURCE_CONFLICT",
"code": "10409",
"message": "Resource conflict"
}
}Customer
Search customers
Search customers
POST
/
customers
/
search
Search customers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Query Parameters
The page of the data to retrieve. The most recent data entry is on page 1.
Required range:
x >= 1Length of data returned. Defaults to 10.
Required range:
10 <= x <= 50Body
application/json
The Customer's email address.
Pattern:
^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,}$Example:
"cornelius@gmail.com"
Was this page helpful?
⌘I